petsc-3.4.2 2013-07-02

# MatSetValuesBlockedLocal

Inserts or adds values into certain locations of a matrix, using a local ordering of the nodes a block at a time.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSetValuesBlockedLocal(Mat mat,PetscInt nrow,const PetscInt irow[],PetscInt ncol,const PetscInt icol[],const PetscScalar y[],InsertMode addv)

Not Collective

### Input Parameters

| x | - the matrix
| nrow, irow | - number of rows and their local indices
| ncol, icol | - number of columns and their local indices
| y | - a logically two-dimensional array of values
| addv | - either INSERT_VALUES or ADD_VALUES, where ADD_VALUES adds values to any existing entries, and INSERT_VALUES replaces existing entries with new values

### Notes

If you create the matrix yourself (that is not with a call to DMCreateMatrix()) then you MUST call MatXXXXSetPreallocation() or MatSetUp() before using this routine

If you create the matrix yourself (that is not with a call to DMCreateMatrix()) then you MUST call MatSetBlockSize() and MatSetLocalToGlobalMappingBlock() before using this routineBefore calling MatSetValuesLocal(), the user must first set the

Calls to MatSetValuesBlockedLocal() with the INSERT_VALUES and ADD_VALUES options cannot be mixed without intervening calls to the assembly routines.

These values may be cached, so MatAssemblyBegin() and MatAssemblyEnd() MUST be called after all calls to MatSetValuesBlockedLocal() have been completed.

### See Also

MatSetBlockSize(), MatSetLocalToGlobalMappingBlock(), MatAssemblyBegin(), MatAssemblyEnd(),
MatSetValuesLocal(), MatSetLocalToGlobalMappingBlock(), MatSetValuesBlocked()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex22f.F.html